CVE-2020-27839

NameCVE-2020-27839
DescriptionA flaw was found in ceph-dashboard. The JSON Web Token (JWT) used for user authentication is stored by the frontend application in the browser’s localStorage which is potentially vulnerable to attackers via XSS attacks. The highest threat from this vulnerability is to data confidentiality and integrity.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitylow
Debian Bugs985670

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
ceph (PTS)stretch (security), stretch10.2.11-2fixed
buster12.2.11+dfsg1-2.1vulnerable
bullseye, sid14.2.21-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
cephsourcestretch(not affected)
cephsource(unstable)14.2.18-1985670

Notes

[buster] - ceph <no-dsa> (Minor issue)
[stretch] - ceph <not-affected> (dashboard introduced in 12.1.0)
https://tracker.ceph.com/issues/44591
https://github.com/ceph/ceph/pull/38259
https://github.com/ceph/ceph/commit/23f2604d6f9ac16779b4ac43aab6e4e434f2e8ec
https://github.com/ceph/ceph/commit/843b2e9cd4cb996165d1818ebff125f1414f90c5 (nautilus)

Search for package or bug name: Reporting problems